Subject: Re: Using "su" on cygwin
From: Chuck McDevitt <[email-masked]>
To: Maurício <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Aug 2004 14:35:05 -0400

Why not use the Microsoft "runas" command to start your program/shell?

RUNAS [ [/noprofile | /profile] [/env] [/netonly] ]
        /user:<UserName> program

 

Maurício <[email-masked]> 
Sent by: [email-masked]
08/16/2004 03:26 PM

To
[email-masked]
cc

Subject
Re: Using "su" on cygwin

> 
>> Hi,
>> I got my /etc/passwd and /etc/group from mkpasswd and mkgroup. When I'm 
loged as user, sometimes I need to get administrator privileges, for 
instance, to make and install a library or program. How do I do that? I 
tried:
>>su administrator
>>but it always says I'm using the wrong password (I use the same password 
I use to log as administrator). What am I doing wrong?
> 
> 
> 
> You didn't read this:
> 
>>FAQ:    http://cygwin.com/faq/
> 
> See "Why doesn't `su' work?":
> 
> <http://cygwin.com/faq/faq_toc.html#TOC39>
> 

   After reading that and further docs, I managed to get login (instead 
of su) to work, but only when I am logged in Windows as administrator. 
Do you know why I can't get that to work for other users?

   Maurício

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

ForwardSourceID:NT0002D2A2 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/